Subject: bug#71111: closed (Re: [bug#71111] [PATCH 0/1] services: home: Use pairs instead of lists.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Jun 2024 09:52:03 +0000

Your bug report

#71111: [PATCH 0/1] services: home: Use pairs instead of lists.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71111: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71111
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#71111] [PATCH 0/1] services: home: Use pairs instead of lists.
From: Andrew Tropin <[email-masked]>
To: Andrew Tropin via Guix-patches via <[email-masked]>, [email-masked]
Cc: Richard Sent <[email-masked]>, Maxim Cournoyer <[email-masked]>, Ludovic Courtès <[email-masked]>, Matthew Trzcinski <[email-masked]>, Florian Pelz <[email-masked]>
Date: Sun, 02 Jun 2024 13:50:44 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2024-05-22 14:02, Andrew Tropin via Guix-patches via wrote:

> After rewriting from car/cdr to match-lambda in v2 of this patch:
> https://yhetil.org/guix-patches/[email-masked]/
>
> the format changed from pairs to lists, I didn't noticed this nuance
> during review because the documentation still says that service should
> be configured and extended with pairs.  Also, pairs are more
> apropriate data type here.  And this match-lambda rewrite will break
> downstream RDE user's setups after migrating to upstreamed version of
> service.
>
> That's why I propose to go back to pairs.
>
> Andrew Tropin (1):
>   services: home: Use pairs instead of lists.
>
>  doc/guix.texi         | 4 ++--
>  gnu/services/guix.scm | 2 +-
>  gnu/tests/guix.scm    | 2 +-
>  3 files changed, 4 insertions(+), 4 deletions(-)
>
>
> base-commit: b06a460bf5236a9d52f936f2023451051b3e622a

Merged v2 with updated API and additional type checks.

-- 
Best regards,
Andrew Tropin

Subject: [PATCH 0/1] services: home: Use pairs instead of lists.
From: Andrew Tropin <[email-masked]>
To: [email-masked]
Cc: Richard Sent <[email-masked]>,Ludovic Courtès <[email-masked]>, Andrew Tropin <[email-masked]>
Date: Wed, 22 May 2024 14:02:26 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

After rewriting from car/cdr to match-lambda in v2 of this patch:
https://yhetil.org/guix-patches/[email-masked]/

the format changed from pairs to lists, I didn't noticed this nuance
during review because the documentation still says that service should
be configured and extended with pairs.  Also, pairs are more
apropriate data type here.  And this match-lambda rewrite will break
downstream RDE user's setups after migrating to upstreamed version of
service.

That's why I propose to go back to pairs.

Andrew Tropin (1):
  services: home: Use pairs instead of lists.

 doc/guix.texi         | 4 ++--
 gnu/services/guix.scm | 2 +-
 gnu/tests/guix.scm    | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

base-commit: b06a460bf5236a9d52f936f2023451051b3e622a
-- 
2.41.0